/* podunk_rr.h - header for podunk_rr.c, 
 * code to extend UCD-SNMP agent for PODUNK-RR-MIB 
 * Demonstrates use of fsubagent.
 */

/* protect against double includes of this file */
#ifndef _PODUNK_RR_H
#define _PODUNK_RR_H

/* Tell configure this MIB module links to the following .c files 
 * (shipped in ucd-snmp-4.2.x/agent/mibgroup/)
 */
config_require(util_funcs)

/* Tell configure this MIB module links to the following .c files 
 * (copied into ucd-snmp-4.2.x/agent/mibgroup/ from fsubagent-x.y/)
 */
config_require(dprint)
config_require(fsubagent)
config_require(fsubagentRow)
config_require(fsubagentArray)
config_require(fsubagentArray2)
config_require(fsubagent_utils)

/* Tell configure which MIB this module implements */
config_add_mib(PODUNK-RR-MIB)

/* This module's entry point, from ucd-snmp-4.2.x/agent/snmpd's point of view.
 * Must match this module's filename.
 */
void   init_podunk_rr(void);

#endif

